# $EPIC: general_notice,v 1.3 2001/11/18 05:36:22 dinodrac Exp $
Synopsis:
   on [<modes>]general_notice [<serial#>] [-|^]<match> { <action> }

Description:
   This hook is triggered whenever the client receives a NOTICE from another
   client.

Parameters:
   $0    nickname of message sender
   $1    target of message
   $2-   text of message

See Also:
   notice(1); on(5) encrypted_notice, general_privmsg, send_notice,
   public_notice, notice

Restrictions:
   The client does not permit any automated messages to be sent in response
   to a NOTICE.  Any attempt will result in an error.  The whole point of
   this is to prevent loops between clients.

   Hooking this in silent mode will prevent the ON SERVER_NOTICE
   ON NOTICE and ON PUBLIC_NOTICE hooks from being thrown.
   ON GENERAL_NOTICE should be considered to be mutually exclusive
   with these hooks.
 
